http
GET https://services.leadconnectorhq.com/knowledge-bases/{knowledgeBaseId}Authorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Path parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes |
Responses
200 - Knowledge base by ID retrieved successfully
success(boolean, required): Success status of the operation Example:Truedata(object, required): Knowledge base details
json
{
"success": true
}400 - Bad Request
statusCode(number): Example:400message(string): Example:Bad Request
json
{
"statusCode": 400,
"message": "Bad Request"
}Example
curl -X GET 'https://services.leadconnectorhq.com/knowledge-bases/YOUR_knowledgeBaseId' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'const response = await fetch('https://services.leadconnectorhq.com/knowledge-bases/YOUR_knowledgeBaseId', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();import os, requests
response = requests.request(
'GET',
'https://services.leadconnectorhq.com/knowledge-bases/YOUR_knowledgeBaseId',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/knowledge-bases/YOUR_knowledgeBaseId');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);